/* memmove.c
 * SommerCampus 2006
 * Author: Pablo Yanez Trujillo <yanezp@informatik.uni-freiburg.de>
 * Licence GPL-2 */

#include <stdio.h>
#include <string.h>

int main(void)
{
	char str[1024] = "abcdefghijklmnopqrstuvxyz";
	char *p = strchr(str, 'c');

	printf("str = %s, p = %s\n", str, p);
	/* Ausgabe: str = abcdefghijklmnopqrstuvxyz, p = cdefghijklmnopqrstuvxyz */

	memmove(p, str, 5);

	printf("str = %s, p = %s\n", str, p);
	/* Ausgabe: str = ababcdehijklmnopqrstuvxyz, p = abcdehijklmnopqrstuvxyz */

	return 0;
}
