/* strstr.c
 * SommerCampus 2006
 * Author: Pablo Yanez Trujillo <yanezp@informatik.uni-freiburg.de>
 * Licence: GPL-2 */

#include <stdio.h>
#include <string.h>

int main(void)
{
	char str[] = "Wert 1 ; Wert 2; Wert 3; Wert 4";
	char *p_1, *p_2, *p_3;

	p_1 = strchr(str, ';');
	printf("%s\n", p_1); /* Ausgabe: ; Wert 2; Wert 3; Wert 4 */

	p_2 = strrchr(str, ';');
	printf("%s\n", p_2); /* Ausgabe: ; Wert 4 */
	
	p_3 = strstr(str, "Wert 3");
	printf("%s\n", p_3); /* Ausgabe: Wert 3; Wert 4 */
	
	p_3 = strstr(str, "wert 3");
	printf("%s\n", p_3); /* Ausgabe: (null) (mit manchen Compilern endet man hier mit segmentation fault!) */

	return 0;
}
